import java.awt.*;
import java.awt.event.*;

import GlassPanel;
import CircularLensObject;

class CircularLensPanel extends GlassPanel
{
  TextField tfLength;
  TextField tfRadius;

  CircularLensPanel()
  {
    super ();

    Panel myPanel = GetMyPanel ();

    tfLength = CreateLabelTextFieldPanel ("Length:",myPanel);
    tfRadius = CreateLabelTextFieldPanel ("Radius:",myPanel);
  }

  public void SetLength (double length)
  {
    tfLength.setText (""+length);
  }

  public void SetRadius (double length)
  {
    tfRadius.setText (""+length);
  }

  public void textValueChanged(TextEvent e)
  {
    Object source = e.getSource ();

    if (source == tfLength && theObject != null)
      {
	Double length = 
	  GetValue (tfLength,-CircularLensObject.MAX_LENGTH,
		    CircularLensObject.MAX_LENGTH);
	
	if (length != null)
	  ((CircularLensObject) theObject).SetLength (length.doubleValue (),
							false);
      }
    if (source == tfRadius && theObject != null)
      {
	Double radius = 
	  GetValue (tfRadius,0.0,1000.0);
	
	if (radius != null)
	  ((CircularLensObject) theObject).SetRadius (radius.doubleValue (),
							false);
      }
    super.textValueChanged (e);
  }
}

