import java.awt.*;
import java.awt.event.*;

import GlassPanel;
import EquilateralTrianglePrismObject;

class EquilateralTrianglePrismPanel extends GlassPanel
{
  TextField tfLength;

  EquilateralTrianglePrismPanel()
  {
    super ();

    Panel myPanel = GetMyPanel ();

    tfLength = CreateLabelTextFieldPanel ("Length:",myPanel);
  }

  public void SetLength (double length)
  {
    tfLength.setText (""+length);
  }

  public void textValueChanged(TextEvent e)
  {
    Object source = e.getSource ();

    if (source == tfLength && theObject != null)
      {
	Double length = 
	  GetValue (tfLength,-EquilateralTrianglePrismObject.MAX_LENGTH,
		    EquilateralTrianglePrismObject.MAX_LENGTH);
	
	if (length != null)
	  ((EquilateralTrianglePrismObject) theObject).SetLength (length.doubleValue (),
						     false);
      }
    super.textValueChanged (e);
  }
}
