import java.awt.*;
import java.awt.event.*;
import java.lang.Math;

import LightSourcePanel;
import ParallellLightSourceObject;

class ParallellLightSourcePanel extends LightSourcePanel
{
  TextField tfLength;

  ParallellLightSourcePanel()
  {
    super ();

    Panel myPanel = GetMyPanel ();

    tfLength = CreateLabelTextFieldPanel ("Length:",myPanel);

  }

  public void SetLength (double length)
  {
    tfLength.setText (""+length);
  }

  public void textValueChanged(TextEvent e)
  {
    Object source = e.getSource ();

    if (source == tfLength && theObject != null)
      {
	Double length = GetValue (tfLength,
				  0.0,
				  ParallellLightSourceObject.MAX_LENGTH);

	if (length != null)
	  ((ParallellLightSourceObject) theObject).SetLength (length.doubleValue (),
							      false);
      }
    super.textValueChanged (e);
  }
}

