import java.awt.*;
import java.awt.event.*;
import java.lang.Math;

import LightSourcePanel;
import PointLightSourceObject;

class PointLightSourcePanel extends LightSourcePanel
{
  TextField tfWidth;

  PointLightSourcePanel()
  {
    super ();

    Panel myPanel = GetMyPanel ();

    tfWidth = CreateLabelTextFieldPanel ("Width:",myPanel);

  }

  public void SetWidth (double width)
  {
    tfWidth.setText (""+width*180/Math.PI);
  }

  public void textValueChanged(TextEvent e)
  {
    Object source = e.getSource ();

    if (source == tfWidth && theObject != null)
      {
	Double width = GetValue (tfWidth,0.0,180.0);

	if (width != null)
	  ((PointLightSourceObject) theObject).SetWidth (width.doubleValue ()/
						    180*Math.PI,
						    false);
      }
    super.textValueChanged (e);
  }
}

