import java.awt.*;
import java.awt.event.*;
import java.util.Vector;

class LabCanvasPopupMenu extends PopupMenu
{
  public MenuItem miRemove;
  public Vector miAdds = new Vector ();

  LabCanvasPopupMenu(ActionListener listener,Vector objectClasses)
  {
    for (int i = 0; i < objectClasses.size (); i++)
      {
	Class c = (Class) objectClasses.elementAt (i);

	MenuItem mi;
	
	try
	  {
	    add (mi = new MenuItem ((String) c.getMethod ("GetObjectName",
							  null).invoke (null,
									null)));
	    mi.addActionListener (listener);
	    miAdds.addElement (mi);
	  }
	catch ( Exception ex )
	  {
	    System.out.println ("Unable to add to add menu: "+c.getName ());
	  }
      }    
    add (new MenuItem ("-"));

    add (miRemove = new MenuItem ("Remove"));
    miRemove.addActionListener (listener);
  }

}
