import java.awt.*;
import java.awt.event.*;

import OpticsObjPanel;
import PlaneMirrorObject;

class PlaneMirrorPanel extends OpticsObjPanel
{
  TextField tfLength;

  PlaneMirrorPanel()
  {
    super ();

    Panel myPanel = GetMyPanel ();

    tfLength = CreateLabelTextFieldPanel ("Length:",myPanel);
  }

  public void SetLength (double length)
  {
    tfLength.setText (""+length);
  }

  public void textValueChanged(TextEvent e)
  {
    Object source = e.getSource ();

    if (source == tfLength && theObject != null)
      {
	Double length = 
	  GetValue (tfLength,-PlaneMirrorObject.MAX_LENGTH,
		    PlaneMirrorObject.MAX_LENGTH);
	
	if (length != null)
	  ((PlaneMirrorObject) theObject).SetLength (length.doubleValue (),
						     false);
      }
    super.textValueChanged (e);
  }
}
